#ifndef _SPICE3_ADAPTER_BOARD_API_
#define _SPICE3_ADAPTER_BOARD_API_

#include "rlTypes.h"

extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardGetConfig( rlHandle handle, rlIOPort port, rlAdapterBoardConfig * outConfig );
extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardSetConfig( rlHandle handle, rlIOPort port, const rlAdapterBoardConfig * config );
extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardSetConfigByName( rlHandle handle, rlIOPort port, const char* name );

extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardEnable( rlHandle handle, rlIOPort port, bool enable );
extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardEnabled( rlHandle handle, rlIOPort port, bool* out );

extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardSupportsAutoConfiguration( rlHandle handle, rlIOPort port, bool* out );
// Method "rlAdapterBoardConnected" has been deprecated. Use "SupportsAutoConfiguration"rlAdapterBoardSupportsAutoConfiguration" instead.
//extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardConnected( rlHandle handle, rlIOPort port, bool* out );

extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardValid( rlHandle handle, rlIOPort port, bool* out );

extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardGetAvailableAdapterBoardNames( rlHandle handle, rlIOPort port, char* outBuffer, uint32_t bufferlen, uint32_t * outLen, uint32_t * outItems );
extern "C" DLLEXPORT rlResult __stdcall rlAdapterBoardGetCurrentAdapterBoardName( rlHandle handle, rlIOPort port, char* outBuffer, uint32_t bufferlen, uint32_t * outLen );

#endif // _SPICE3_ADAPTERBOARD_API_
